Package groovy.lang

# Interface GroovyCallable<V>

All Superinterfaces:
  `Callable<V>`

All Known Implementing Classes:
  `Closure`, `ComposedClosure`, `CurriedClosure`, `IteratorClosureAdapter`, `MethodClosure`

public interface GroovyCallable<V> extends Callable<V>
A special "marker" style interface allowing Groovy classes to implement both Runnable and Callable yet give preference to Runnable (for backwards compatibility) for APIs having both Runnable and Callable methods. You should generally NOT use this method in your own code.

Since:
  1.8.0
See Also:
  - `Callable`

- ## Method Summary

  ### Methods inherited from interface java.util.concurrent.Callable

  `call`